=== geometry/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(geometry)
find_package(catkin REQUIRED)
catkin_metapackage()
