=== debian/changelog ===
ros-geometry (1.13.2-11) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Timo Röhling ]
  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Tue, 15 Oct 2024 21:35:11 +0200

ros-geometry (1.13.2-10) unstable; urgency=medium

  * Add patch to use yaml.safe_load

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 22 Oct 2022 17:15:34 +0200

ros-geometry (1.13.2-9) unstable; urgency=medium

  * Drop nose dependency (Closes: #1018626)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Aug 2022 14:43:26 +0200

ros-geometry (1.13.2-8) unstable; urgency=medium

  * Add logcxx patch

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 02 Feb 2022 14:58:14 +0100

ros-geometry (1.13.2-7) unstable; urgency=medium

  * Drop old Breaks/Replaces
  * Drop python3:Versions
  * Set ROS_IP for tests (Closes: #1002436)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 22 Dec 2021 09:57:31 +0100

ros-geometry (1.13.2-6) unstable; urgency=medium

  * Enable tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Oct 2021 18:46:50 +0200

ros-geometry (1.13.2-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:42:20 +0200

ros-geometry (1.13.2-4) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 21 Sep 2021 21:39:04 +0200

ros-geometry (1.13.2-3) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 16:50:28 +0100

ros-geometry (1.13.2-2) unstable; urgency=medium

  * Add patch for Boost 1.74
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 Dec 2020 09:51:06 +0100

ros-geometry (1.13.2-1) unstable; urgency=medium

  * New upstream version 1.13.2
  * Remove Thomas from Uploaders, thanks for working on this
  * rebase patches
  * bump debhelper version

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Jun 2020 11:39:09 +0200

ros-geometry (1.12.0-7) unstable; urgency=medium

  * add Salsa CI
  * Drop libboost-signals-dev build dependency
  * bump policy version

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 05 Jun 2020 19:19:41 +0200
