=== debian/rules ===
#!/usr/bin/make -f

export ROS_SKIP_PACKAGES = geometry

%:
	dh $@ --buildsystem=ros
