=== debian/tests/control ===
Test-Command: ./debian/tests/compilation tf tf/tf.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libtf-dev,

Test-Command: ./debian/tests/compilation tf_conversions eigen_conversions/eigen_kdl.h tf_conversions/tf_eigen.h tf_conversions/tf_kdl.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libtf-conversions-dev,

Test-Command: ./debian/tests/python3_import tf
Restrictions:
 allow-stderr,
Depends:
 python3-tf,

Test-Command: ./debian/tests/python3_import tf_conversions
Restrictions:
 allow-stderr,
Depends:
 python3-tf-conversions,
